<div class="container">
    <h2 class="text-center">Enter your blogpost here</h2>

    <form novalidate
          (ngSubmit)="save()"
          [formGroup]="blogForm">

        <div class="form-group">
            <label for="title">Title</label>
            <input class="form-control"
                   id="title"
                   type="text"
                   placeholder="Enter title"
                   formControlName="title"
                   [ngClass]="{'is-invalid': (blogForm.get('title').touched ||
                                                blogForm.get('title').dirty) &&
                                                !blogForm.get('title').valid}"/>
            <span class="invalid-feedback">
                        <span *ngIf="blogForm.get('title').errors?.required">
                            Please enter the title.
                        </span>
                        <span *ngIf="blogForm.get('title').errors?.minlength">
                            Title must be greater than 5 characters.
                        </span>
                    </span>
        </div>

        <div class="form-group">
            <label for="authorName">Author Name</label>
            <input class="form-control"
                   id="authorName"
                   type="text"
                   placeholder="Enter your name"
                   formControlName="authorName"
                   [ngClass]="{'is-invalid': (blogForm.get('authorName').touched ||
                                                blogForm.get('authorName').dirty) &&
                                                !blogForm.get('authorName').valid}"/>
            <span class="invalid-feedback">
                        <span *ngIf="blogForm.get('authorName').errors?.required">
                            Please enter your name
                        </span>
                        <span *ngIf="blogForm.get('authorName').errors?.minlength">
                            Name must be greater than 3 characters.
                        </span>
                    </span>
        </div>

        <div class="form-group">
            <label for="content">Content</label>
            <textarea class="form-control"
                      id="content"
                      rows="3"
                      formControlName="content"
                      [ngClass]="{'is-invalid': (blogForm.get('content').touched ||
                                                blogForm.get('content').dirty) &&
                                                !blogForm.get('content').valid}"></textarea>

            <span class="invalid-feedback">
                 <span *ngIf="blogForm.get('content').errors?.required">
                     Some content is needed.
                 </span>
                 <span *ngIf="blogForm.get('content').errors?.range">
                     Content must be at least 150 characters.
                 </span>
             </span>
        </div>

        <button class="btn btn-primary"
                type="submit"
                style="width:80px"
                [title]="blogForm.valid ? 'Save your entered data' : 'Disabled until the form data is valid'"
                [disabled]="!blogForm.valid">
            Save
        </button>
    </form>
</div>

<!--<br>Dirty: {{ blogForm.dirty }}-->
<!--<br>Touched: {{ blogForm.touched }}-->
<!--<br>Valid: {{ blogForm.valid }}-->
<!--<br>Value: {{ blogForm.value | json }}-->
<!--<br>&nbsp;-->
